Driver extension jun 1.03b/1.04b for DSM6.2.3 for 918+ / 3615xs / 3617xs


Recommended Posts

Hope I am right here to ask my question. I am planning to get some new hardware based on B365 Chipset. Can I use Jun's Loader 1.03b for 3617xs for the chipset? As I want to install my X540-T2 I thin I can't go with 918+ since it usually has no PCIe.

Link to post
Share on other sites
26 minutes ago, TNa681 said:

new hardware based on B365 Chipset

i'm using b360/b365 myself, no problems

the cpu and number of cores also plays a role

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

 

27 minutes ago, TNa681 said:

Can I use Jun's Loader 1.03b for 3617xs for the chipset?

as 3615/17 does not support uefi you would need to activate csm mode and also boot from the non uefi usb boot device (might only be visible after booting with csm active)

 

30 minutes ago, TNa681 said:

As I want to install my X540-T2 I thin I can't go with 918+ since it usually has no PCIe.

should work on all three types with extra.lzma, worst case would be if there is a newer revision/phy that does not work with the driver we already have but in that case a newer driver will be released, beside you would still have onboard nic until the nre driver is ready

918+ would be 1st choice with that newer hardware as it supports hardware transcoding (intel quick sync video) and m.2 nvme

3617 does not have this but can have 16 instead of 8 threads

3617 is also 1st choice for lsi sas as 918+ has some problems, but with jmb585/asm1166 and its pcie 3.0 support most cases can be realized with ahci  and will not depend on any special driver support, ahci is part of all dsm kernels

not sure whats with your "no PCIe" comment, i've used b365 with 918+ and 3617 and beside the mentioned differences there is no difference in using pcie

Link to post
Share on other sites
5 часов назад, IG-88 сказал:

the only way to reproduce what was seen on your system was to use the later versions of the extra/extra2 (like 0.13.3)

The fact that this error is reproducible is very good info. Maybe smth messed up with my "extra" files. Will check this as soon as my HyperBackup from NAS1 to NAS2 is complete and I be able to reboot )
Thank you for your efforts and time! I'm really appreciate that.

Edited by Outrullers
Link to post
Share on other sites
15 hours ago, IG-88 said:

not sure whats with your "no PCIe" comment, i've used b365 with 918+ and 3617 and beside the mentioned differences there is no difference in using pcie

First, thank you very much for your detailed reply! I was thinking to no being abale to use a PCIe Slot when going with 1.04b (918+) as it doesn't have one originally.

As I already mentioned I'm having a X540-T2 and would like to still use it, of course I will 😉 won't miss 10Gb. So would that be possible with 918+?  

 

   

 

Link to post
Share on other sites
9 hours ago, TNa681 said:

I was thinking to no being abale to use a PCIe Slot when going with 1.04b (918+) as it doesn't have one originally.

pcie slots work as to expect, the only limit with "2" is the number of nic's working ootb, with onboard and 2x10G you will exeed that limit and on first install you might need to find the 2 out of three ports working (onboard does not need to be the first nic, if the 10G is used firat then the to 10G ports will be found by DHCP)

9 hours ago, TNa681 said:

of course I will 😉 won't miss 10Gb. So would that be possible with 918+?  

as already said, if the driver from my extra.kzma is not working then there will be a new one from newer intel source code, the only driver we have "problems" with is intels new 2.5G nic driver igc.ko that only exists in kernel 5 and intel does not intent to make a standalone driver for older kernels, but that the only exception i  now,  all the other 1, 10, 40, 100G driver should work with the older 3.10.x and 4.4.x kernels synology uses for dsm

  • Thanks 1
Link to post
Share on other sites

Hi guys.
Got 918+ up and running (DSM 6.2.1-23824 Update 6). Also got a LSI card with IT mode enabled but I don't see all the smartdata on the SAS HDD. Can't see temp, SN, etc... only that its initialised and normal integrity. But when I click on integrityinfo, I get a "can't retrieve smart information" error. I could run without those stats but don't know if its wise.
After going through several loaders and extras I can't seem to get more out of it.
Any chance for some pointers?

Link to post
Share on other sites
On 12/21/2020 at 12:15 AM, Thoralfa said:

Got 918+ up and running (DSM 6.2.1-23824 Update 6). Also got a LSI card with IT mode enabled but I don't see all the smart data on the SAS HDD. Can't see temp, SN, etc... only that its initialized and normal integrity. But when I click on integrity info, I get a "can't retrieve smart information" error. I could run without those stats but don't know if its wise.
After going through several loaders and extras I can't seem to get more out of it.
Any chance for some pointers?

this thread is about dsm 6.2.3 and you should read about the problems with  lsi sas controllers with 918+ in the 1st post of this thread

you should be able to update to 6.2.3 and use 0.12.1 or 0.13.3 extra/extra2 if using 0.12.1 you should disable disk hibernation

Edited by IG-88
Link to post
Share on other sites

Hi, I am using 3615xs v1.03b loader with my motherboard but the on-board 8111H cannot get any IP. Can you help to advise what was wrong?

 

1) my motherboard is Biostar A68N-5545. It uses AMD CPU so I chose 3615xs v1.03b loader

2) Tried the 3 extra.lzma for loader 1.03b ds3615 (original, v0.5, v0.11_test)

 

All 3 extra.lzma cannot get any IP from router. Router cannot see this motherboard is in network. Please help. Thanks a lot!  

Link to post
Share on other sites

Hello. I have a HPE ProLiant DL380p Gen8 Server, with a Smart Array P420i Controller in HBA mode. I get to the point where i connect to synology but does not find any HDD. I tried replacing the extra.lzma with v0.5, and v0.11 but does not work, the HDD won't show. I used 3615xs v1.03b loader. Could you help please? Thank you.

Edited by Xzibit
Link to post
Share on other sites
3 hours ago, e-ghost said:

Hi, I am using 3615xs v1.03b loader with my motherboard but the on-board 8111H cannot get any IP. Can you help to advise what was wrong?

its a uefi bios but 1.03b does not support this it needs csm mode active and you need to boot from the non uefi usb boot device (that might only be seen after rebotting once with csm active)

maybe read this

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

i guess the cpu might also work with 918+ loader (that can boot uefi), try 1.04b 918+ 1st

not the nic driver for sure

also the extra.lzma for 6.2.2 will not work properly, with dsm 6.2.3  its jun's original or the one made for 6.2.3

 

 

3 hours ago, Xzibit said:

Hello. I have a HPE ProLiant DL380p Gen8 Server, with a Smart Array P420i Controller in HBA mode. I get to the point where i connect to synology but does not find any HDD. I tried replacing the extra.lzma with v0.5, and v0.11 but does not work, the HDD won't show. I used 3615xs v1.03b loader. Could you help please? Thank you.

as i never had a card to test the hpsa.ko driver i can's say much any driver from external source for supporting newer sa's did not work and i dont know if the driver in kernel 3.10.105 will know that hba mode

you could try to use iLO virtual com port to connect to an com1 and see with putty what you get, on 1st boot you should see what happens when  hpsa.ko is loaded and how it reacts to the hardware

i might have a p410 next month and thats the 1st driver that works with hpsa.ko, maybe i will be able to test the driver later to see if it at least starts (1st original kernel driver, if that does it then a newer driver from external source might be a test)

easiest  way aroud that would be a lsi sas conttroller like 9211-8i in IT mode (can be bought <100€), it comes with sas to connect to the hp backplanes

sure it would be nice to use the p420 but its not even clear it it ever will work, maybe the newer driver from kernel 4.4.59 / 918+ might do the trick but thats not possible for you, gen8 cpu's are one ivy bridge and to old for 918+ , 4th gen hasswell is min. for 918+

if i have time next month and the p410 works better then expected (tried it in a skylake hp desktop at work and it went boot loop from bios - not a good sign but might be different in another hardware)

 

i guess a 9211-8i or something cheap with sas2008 chip (lots of oem's also from HPE) will do the job and i also would suggest to use 3617 (supports more cpu cores and has newer lsi sas drivers ootb from synology)

 

 

 

  • Like 1
Link to post
Share on other sites
36 минут назад, IG-88 сказал:

 

Hi, I am using 3617xs v1.03b loader with driver extension pack,

in my system (GA-B75M- D3h with RTL8111) there are 3 network cards tg-3468 (realtek 8169 chipset). Does the package support these cards? It seems that these cards work with the r8168 kernel ...  My board cannot get any IP :(  Even when I disable the built-in card in BIOS. Is there a list of supported network cards?

Link to post
Share on other sites
26 минут назад, man67 сказал:

in my system (GA-B75M- D3h with RTL8111) there are 3 network cards tg-3468 (realtek 8169 chipset).

I remove the question :) My system was booted for some reason in UEFI mode. I changed - it worked. Your previous post prompted me to check :) But the question about the list of network adapters remains;)

Link to post
Share on other sites
2 hours ago, IG-88 said:

its a uefi bios but 1.03b does not support this it needs csm mode active and you need to boot from the non uefi usb boot device (that might only be seen after rebotting once with csm active)

maybe read this

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

i guess the cpu might also work with 918+ loader (that can boot uefi), try 1.04b 918+ 1st

not the nic driver for sure

also the extra.lzma for 6.2.2 will not work properly, with dsm 6.2.3  its jun's original or the one made for 6.2.3

Hi IG-88, thanks for your advise! Still trying to figure out how to enable CSM mode from my Biostar A68N-5455 as the manual doesn't has such option. 

 

Also, may I ask if jun's loader v1.04b 918+ support MPT HBA? My is LSI_SAS2308_LSI-9207-8i (HP220). Thanks a lot!

 

Link to post
Share on other sites
4 hours ago, e-ghost said:

Hi IG-88, thanks for your advise! Still trying to figure out how to enable CSM mode from my Biostar A68N-5455 as the manual doesn't has such option. 

 

Also, may I ask if jun's loader v1.04b 918+ support MPT HBA? My is LSI_SAS2308_LSI-9207-8i (HP220). Thanks a lot!

 

Sorry IG-88 please ignore the above post. Just got the CSM enabled and now the RTL8111H can get the IP. Thanks a lot!

Also, may I ask if jun's loader v1.04b 918+ support MPT HBA? My is LSI_SAS2308_LSI-9207-8i (HP220). Thanks a lot!

Link to post
Share on other sites
7 hours ago, man67 said:

cards tg-3468 (realtek 8169 chipset)

no, that card is a r8168, check its pci id and you will fing out

anyway there are drivers for r8168 aka 8111 and r8169 present

 

7 hours ago, man67 said:

But the question about the list of network adapters remains;)

 

the list in the older threads for 6.2 are still valid

https://xpenology.com/forum/topic/12859-driver-extension-jun-103a2dsm62x-for-ds918/

 

 

6 hours ago, e-ghost said:

Hi IG-88, thanks for your advise! Still trying to figure out how to enable CSM mode from my Biostar A68N-5455 as the manual doesn't has such option. 

can't help much with that, still try to use 918+ 1.04b, it can handle uefi and your cpu might be supported

 

1 hour ago, e-ghost said:

Also, may I ask if jun's loader v1.04b 918+ support MPT HBA? My is LSI_SAS2308_LSI-9207-8i (HP220). Thanks a lot!

afaik it does as long as its in IT mode (usually a different firmware to flash from the default)

also read the 1st post about the problems realted to this hardwre and disk hibernation

check your /var/log/dmesg for information about the driver (mpt3sas) loading

 

  • Like 1
Link to post
Share on other sites

I have Intel(R) Dual Band Wireless-AC 7260 miniPCI on GA-H97N-WIFI and would like to compile kernel driver to make it work...so using terminal:

 

lspci -v

0000:03:00.0 Class 0280: Device 8086:08b1 (rev 73)
        Subsystem: Device 8086:4070
        Flags: fast devsel, IRQ 11
        Memory at f7c00000 (64-bit, non-prefetchable) [disabled] [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [40] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number a0-a8-cd-ff-ff-d5-8c-6b
        Capabilities: [14c] Latency Tolerance Reporting
        Capabilities: [154] Vendor Specific Information: ID=cafe Rev=1 Len=014 <?>
        Kernel driver in use: iwlwifi

 

 

i see my device but it is not working..because iwlwifi.ko crash after loading kernel driver...thinks that i do:

 

1. Downloaded linux-4.4.x.txz from https://sourceforge.net/projects/dsgpl/files/Synology NAS GPL Source/24922branch/apollolake-source/ (i have DS918+ 6.2.3 25426 but there is no linux source for newer release...but i see that 24922 is using kernel 4.4.59 and 25426 is using kernel 4.4.59+)

 

2. untar linux-4.4.x.txz to /usr/local/ and now i have /usr/local/linux-4.4.x

 

3. Edit the file in /usr/local/linux-4.4.x/Makefile and at begginning add the + so when compiling kernel modules to match 4.4.59+

 

VERSION = 4
PATCHLEVEL = 4
SUBLEVEL = 59
EXTRAVERSION = +
NAME = Blurry Fish Butt

 

4. cd /usr/local/linux-4.4.x and copy cfg file for apollolake to be able to compile kernel modules for my platform (DS918+ DSM 6.3.2 25426)

 

cp synoconfigs/apollolake .config

 

5. configure kernel modules that i want to include:

 

make menuconfig

 

6.  Device Drivers > Network device support > Wireless LAN > 

                      <M>   Intel Wireless WiFi Next Gen AGN - Wireless-N/Advanced-N/Ultimate-N (iwlwifi)

                      <M>     Intel Wireless WiFi MVM Firmware support

 

     Then i select Save and Exit

 

7. Compile drivers using command:

make modules

 

8. After compilation of kernel modules is finished i copy: 

  cfg80211.ko     to   /usr/lib/modules/update/cfg80211.ko

  mac80211.ko    to  /usr/lib/modules/update/mac80211.ko

iwlmvm.ko          to  /usr/lib/modules/update/iwlmvm.ko

iwlwifi.ko            to  /usr/lib/modules/update/iwlwifi.ko

 

9. Download firmware from intel and copy iwlwifi-7260-13.ucode to /usr/lib/firmware, and ibt-hw-37.7.10-fw-1.80.2.3.d.bseq to /usr/lib/firmware/intel/ibt-hw-37.7.10-fw-1.80.2.3.d.bseq    (first is FW for WLAN card and second is FW for BlueTooth)

 

10. in terminal i type:

insmod /usr/lib/modules/update/cfg80211.ko
insmod /usr/lib/modules/update/mac80211.ko
insmod /usr/lib/modules/update/iwlmvm.ko
insmod /usr/lib/modules/update/iwlwifi.ko

 

And i get this:

 

root@synology:~# dmesg | grep iwlwifi
[  197.299359] Modules linked in: iwlwifi(E+) cfg80211(E) tcm_loop(O) iscsi_target_mod(O) target_core_ep(O) target_core_multi_file(O) target_core_file(O) target_core_iblock(O) target_core_mod(O) cifs syno_extent_pool(PO) udf isofs loop rodsp_ep(O) hid_generic usbhid hid usblp uhci_hcd ehci_pci ehci_hcd apollolake_synobios(PO) firewire_sbp2(E) firewire_ohci(E) firewire_core(E) aqc111(OE) et131x(E) vxge(E) s2io(E) r8125(OE) r8152(OE) via_velocity(E) via_rhine(E) sc92031(E) rtl8150(E) plusb(E) pegasus(E) mvmdio(E) mcs7830(E) enic(E) e100(E) dl2k(E) cxgb4(E) cxgb3(E) cxgb(E) cx82310_eth(E) bna(E) atl2(E) asix(E) evdev(E) ax88179_178a(E) tg3(E) r8101(OE) bnx2(E) vmxnet3(E) pcnet32(E) e1000(E) sfc(E) netxen_nic(E) qlge(E) qlcnic(E) qla3xxx(E) sky2(E) skge(E) jme(E) uio(E) alx(E) atl1c(E) atl1e(E) atl1(E)
[  197.624804]  [<ffffffffa1522c93>] iwl_trans_alloc+0x73/0xd0 [iwlwifi]
[  197.631243]  [<ffffffffa15226a4>] iwl_trans_pcie_alloc+0x34/0x5b0 [iwlwifi]
[  197.638201]  [<ffffffffa1518c0d>] iwl_pci_probe+0x1d/0x220 [iwlwifi]
[  197.707743]  [<ffffffffa1518e2f>] iwl_pci_register_driver+0x1f/0x40 [iwlwifi]
[  197.714869]  [<ffffffffa1530065>] iwl_drv_init+0x65/0x67 [iwlwifi]

 

So i see that lwlwifi.ko has crashed, and it is not initialized because iwl_drv_init is last item that crash driver...any help what i im doing wrong? I know that when driver is loaded and firmware for driver too, that i need to do ipconfig of wlan0 and add config file, and modify rc  script to show wirelles icon in control panel in DS web gui but im im now stuck here with kernel message...any help or idea what i need to try?

 

As you can see i compile driver, add firmware for WLAN and BT device, and kernel driver crash...

Link to post
Share on other sites
On 12/30/2020 at 3:24 PM, igorekDE said:

where can i get synoboot for RTL8125B

the driver is already part of the recent extra/extra2, it might not support very new versions of that hardware, the might depend on the sub id's of the device, but it will work in most cases

Link to post
Share on other sites
Posted (edited)
5 hours ago, robert36 said:

So i see that lwlwifi.ko has crashed, and it is not initialized because iwl_drv_init is last item that crash driver...any help what i im doing wrong? I know that when driver is loaded and firmware for driver too, that i need to do ipconfig of wlan0 and add config file, and modify rc  script to show wirelles icon in control panel in DS web gui but im im now stuck here with kernel message...any help or idea what i need to try?

 

As you can see i compile driver, add firmware for WLAN and BT device, and kernel driver crash...

 

did that driver for testing with another user last november, it did not crash but also did not load

2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.335124] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-19.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.335125] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.336169] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-18.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.336170] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.336997] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-17.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.336997] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.337856] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-16.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.337857] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.338644] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-15.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.338646] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.339457] iwlwifi 0000:01:00.0: Direct firmware load for iwlwifi-7265D-14.ucode failed with error -2
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.339458] iwlwifi 0000:01:00.0: Falling back to user helper
2020-11-09T00:05:11+02:00 mini-nas kernel: [   20.341774] iwlwifi 0000:01:00.0: failed to load module iwlmvm (error 256), is dynamic loading enabled?
2020-11-09T00:05:15+02:00 mini-nas kernel: [   21.403000] iwlmvm: Unknown symbol dev_coredumpm (err 0)
2020-11-09T00:06:29+02:00 mini-nas kernel: [   40.093977] iwlmvm: Unknown symbol dev_coredumpm (err 0)

 

dev_coredumpm is a kernel feature and according to the default config from synology that feature is active in the kernel, when not available its nothing i can do about it as we have to use the original kernel

 

 

you only need the two intel modules, the other two are part of dsm already, i will attach the two modules

insmod /usr/lib/modules/cfg80211.ko

 

insmod /usr/lib/modules/mac80211.ko

insmod /usr/lib/modules/update/iwlwifi.ko

insmod /usr/lib/modules/update/iwldvm.ko

 

firmware should be this

https://wireless.wiki.kernel.org/_media/en/users/drivers/iwlwifi-7265-ucode-25.30.13.0.tgz

 

iwlwifi.koiwldvm.ko

Edited by IG-88
Link to post
Share on other sites
5 hours ago, robert36 said:

1. Downloaded linux-4.4.x.txz from https://sourceforge.net/projects/dsgpl/files/Synology NAS GPL Source/24922branch/apollolake-source/ (i have DS918+ 6.2.3 25426 but there is no linux source for newer release...but i see that 24922 is using kernel 4.4.59 and 25426 is using kernel 4.4.59+)

...

maybe you should follow the tutorial, its more then the kernel source, there are also tool chains to use

https://xpenology.com/forum/topic/7341-tutorial-compile-xpenology-drivers-in-windows-10/

https://xpenology.com/forum/topic/7187-how-to-build-and-inject-missing-drivers-in-jun-loader-102a/

 

the "original" guide from synology is this

https://global.download.synology.com/download/Document/Software/DeveloperGuide/Firmware/DSM/6.0/enu/DSM_Developer_Guide_6_0.pdf

 

Link to post
Share on other sites

Thanks..i need to learn how to compile kernel driver.

 

Do you have maybe compiled iwlmvm.ko? I try using your compiled attachmend above and i get this:

 

root@synology:~# dmesg | grep iwlwifi
[  516.800573] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-7260-17.ucode failed with error -2
[  516.800575] iwlwifi 0000:03:00.0: Falling back to user helper
[  516.802454] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-7260-16.ucode failed with error -2
[  516.802456] iwlwifi 0000:03:00.0: Falling back to user helper
[  516.804140] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-7260-15.ucode failed with error -2
[  516.804142] iwlwifi 0000:03:00.0: Falling back to user helper
[  516.805699] iwlwifi 0000:03:00.0: Direct firmware load for iwlwifi-7260-14.ucode failed with error -2
[  516.805700] iwlwifi 0000:03:00.0: Falling back to user helper
[  516.807673] iwlwifi 0000:03:00.0: loaded firmware version 25.30.13.0 op_mode iwlmvm
[  516.808010] iwlwifi 0000:03:00.0: failed to load module iwlmvm (error 256), is dynamic loading enabled?

So loading works..i now must find other firmware and put into /usr/lib/firmware and wait you to put attachment iwlmvm.ko and then i think it will work.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.